Package com.massivecraft.factions.struct

## Enum Permission

- java.lang.Object
- - java.lang.Enum<Permission>
  - - com.massivecraft.factions.struct.Permission

All Implemented Interfaces:
  `java.io.Serializable`, `java.lang.Comparable<Permission>`, `java.lang.constant.Constable`

    public enum Permission
    extends java.lang.Enum<Permission>

### Nested Class Summary

### Nested classes/interfaces inherited from class java.lang.Enum

`java.lang.Enum.EnumDesc<E extends java.lang.Enum<E>>`

### Enum Constant Summary

Enum Constants
Enum Constant | Description
--- | ---
`ADDPOINTS` |
`ADMIN` |
`ADMIN_ANY` |
`AHOME` |
`ALTS` |
`ANNOUNCE` |
`AUTO_LEAVE_BYPASS` |
`AUTOCLAIM` |
`BAN` |
`BANNER` |
`BYPASS` |
`CHAT` |
`CHATSPY` |
`CHECK` |
`CHECKPOINT` |
`CHEST` |
`CLAIM` |
`CLAIM_LINE` |
`CLAIM_RADIUS` |
`CLAIMAT` |
`COLEADER` |
`COLEADER_ANY` |
`CONFIG` |
`CONVERT` |
`CONVERTCONFIG` |
`COORD` |
`CORNER` |
`CREATE` |
`DEFAULTRANK` |
`DEINVITE` |
`DELHOME` |
`DESCRIPTION` |
`DISBAND` |
`DISBAND_ANY` |
`DISCORD` |
`FLY` |
`FOCUS` |
`GETVAULT` |
`GLOBALCHAT` |
`GRACE` |
`HELP` |
`HOME` |
`INSPECT` |
`INVITE` |
`INVSEE` |
`JOIN` |
`JOIN_ANY` |
`JOIN_OTHERS` |
`KICK` |
`KICK_ANY` |
`KILLHOLOS` |
`LEAVE` |
`LIST` |
`LOCK` |
`LOCKSPAWNERS` |
`LOGOUT` |
`MANAGE_SAFE_ZONE` |
`MANAGE_WAR_ZONE` |
`MAP` |
`MAPHEIGHT` |
`MISSIONS` |
`MOD` |
`MOD_ANY` |
`MODIFY_POWER` |
`MONEY_BALANCE` |
`MONEY_BALANCE_ANY` |
`MONEY_DEPOSIT` |
`MONEY_F2F` |
`MONEY_F2P` |
`MONEY_P2F` |
`MONEY_WITHDRAW` |
`MONEY_WITHDRAW_ANY` |
`MONITOR_LOGINS` |
`NEAR` |
`NO_BOOM` |
`OPEN` |
`OWNER` |
`OWNERLIST` |
`OWNERSHIP_BYPASS` |
`PAYPAL` |
`PAYPALSET` |
`PERMISSIONS` |
`POINTS` |
`POWER` |
`POWER_ANY` |
`POWERBOOST` |
`PROMOTE` |
`RELATION` |
`RELOAD` |
`REMOVEPOINTS` |
`RULES` |
`SAVE` |
`SCOREBOARD` |
`SEECHUNK` |
`SET_GUILD` |
`SET_PEACEFUL` |
`SET_PERMANENT` |
`SET_PERMANENTPOWER` |
`SETDISCORD` |
`SETHOME` |
`SETHOME_ANY` |
`SETMAXVAULTS` |
`SETPOINTS` |
`SETSTRIKES` |
`SETWARP` |
`SHOP` |
`SHOW` |
`SHOW_INVITES` |
`SHOWCLAIMS` |
`SPAM` |
`STATUS` |
`STEALTH` |
`STUCK` |
`TAG` |
`TITLE` |
`TITLE_COLOR` |
`TNT` |
`TNTFILL` |
`TOGGLE_ALLIANCE_CHAT` |
`TOP` |
`TPBANNER` |
`UNCLAIM` |
`UNCLAIM_ALL` |
`UPGRADES` |
`VAULT` |
`VERSION` |
`VIEWCHEST` |
`WARP` |

### Field Summary

Fields
Modifier and Type | Field | Description
--- | --- | ---
`java.lang.String` | `node` |

### Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`boolean` | `has​(org.bukkit.command.CommandSender sender)` |
`boolean` | `has​(org.bukkit.command.CommandSender sender, boolean informSenderIfNot)` |
`static Permission` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
`static Permission[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### MANAGE_SAFE_ZONE

    public static final Permission MANAGE_SAFE_ZONE

#### MANAGE_WAR_ZONE

    public static final Permission MANAGE_WAR_ZONE

#### OWNERSHIP_BYPASS

    public static final Permission OWNERSHIP_BYPASS

#### ADMIN

    public static final Permission ADMIN

#### ALTS

    public static final Permission ALTS

#### ADMIN_ANY

    public static final Permission ADMIN_ANY

#### AHOME

    public static final Permission AHOME

#### ANNOUNCE

    public static final Permission ANNOUNCE

#### AUTOCLAIM

    public static final Permission AUTOCLAIM

#### AUTO_LEAVE_BYPASS

    public static final Permission AUTO_LEAVE_BYPASS

#### BAN

    public static final Permission BAN

#### BYPASS

    public static final Permission BYPASS

#### CHAT

    public static final Permission CHAT

#### CHATSPY

    public static final Permission CHATSPY

#### CHECK

    public static final Permission CHECK

#### CLAIM

    public static final Permission CLAIM

#### CLAIMAT

    public static final Permission CLAIMAT

#### CLAIM_LINE

    public static final Permission CLAIM_LINE

#### CLAIM_RADIUS

    public static final Permission CLAIM_RADIUS

#### CONFIG

    public static final Permission CONFIG

#### CONVERT

    public static final Permission CONVERT

#### CONVERTCONFIG

    public static final Permission CONVERTCONFIG

#### CREATE

    public static final Permission CREATE

#### CORNER

    public static final Permission CORNER

#### DEFAULTRANK

    public static final Permission DEFAULTRANK

#### DEINVITE

    public static final Permission DEINVITE

#### DELHOME

    public static final Permission DELHOME

#### DESCRIPTION

    public static final Permission DESCRIPTION

#### DISBAND

    public static final Permission DISBAND

#### DISBAND_ANY

    public static final Permission DISBAND_ANY

#### DISCORD

    public static final Permission DISCORD

#### FLY

    public static final Permission FLY

#### FOCUS

    public static final Permission FOCUS

#### GLOBALCHAT

    public static final Permission GLOBALCHAT

#### GRACE

    public static final Permission GRACE

#### HELP

    public static final Permission HELP

#### HOME

    public static final Permission HOME

#### INVITE

    public static final Permission INVITE

#### INVSEE

    public static final Permission INVSEE

#### JOIN

    public static final Permission JOIN

#### JOIN_ANY

    public static final Permission JOIN_ANY

#### JOIN_OTHERS

    public static final Permission JOIN_OTHERS

#### KICK

    public static final Permission KICK

#### KICK_ANY

    public static final Permission KICK_ANY

#### LEAVE

    public static final Permission LEAVE

#### LIST

    public static final Permission LIST

#### LOCK

    public static final Permission LOCK

#### LOCKSPAWNERS

    public static final Permission LOCKSPAWNERS

#### LOGOUT

    public static final Permission LOGOUT

#### MAP

    public static final Permission MAP

#### MAPHEIGHT

    public static final Permission MAPHEIGHT

#### MOD

    public static final Permission MOD

#### COLEADER

    public static final Permission COLEADER

#### MOD_ANY

    public static final Permission MOD_ANY

#### COLEADER_ANY

    public static final Permission COLEADER_ANY

#### MISSIONS

    public static final Permission MISSIONS

#### MODIFY_POWER

    public static final Permission MODIFY_POWER

#### MONEY_BALANCE

    public static final Permission MONEY_BALANCE

#### MONEY_BALANCE_ANY

    public static final Permission MONEY_BALANCE_ANY

#### MONEY_DEPOSIT

    public static final Permission MONEY_DEPOSIT

#### MONEY_WITHDRAW

    public static final Permission MONEY_WITHDRAW

#### MONEY_WITHDRAW_ANY

    public static final Permission MONEY_WITHDRAW_ANY

#### MONEY_F2F

    public static final Permission MONEY_F2F

#### MONEY_F2P

    public static final Permission MONEY_F2P

#### MONEY_P2F

    public static final Permission MONEY_P2F

#### MONITOR_LOGINS

    public static final Permission MONITOR_LOGINS

#### NEAR

    public static final Permission NEAR

#### NO_BOOM

    public static final Permission NO_BOOM

#### OPEN

    public static final Permission OPEN

#### OWNER

    public static final Permission OWNER

#### OWNERLIST

    public static final Permission OWNERLIST

#### SET_GUILD

    public static final Permission SET_GUILD

#### SET_PEACEFUL

    public static final Permission SET_PEACEFUL

#### SET_PERMANENT

    public static final Permission SET_PERMANENT

#### SET_PERMANENTPOWER

    public static final Permission SET_PERMANENTPOWER

#### SHOW_INVITES

    public static final Permission SHOW_INVITES

#### PAYPAL

    public static final Permission PAYPAL

#### PAYPALSET

    public static final Permission PAYPALSET

#### PERMISSIONS

    public static final Permission PERMISSIONS

#### POINTS

    public static final Permission POINTS

#### POWERBOOST

    public static final Permission POWERBOOST

#### POWER

    public static final Permission POWER

#### POWER_ANY

    public static final Permission POWER_ANY

#### PROMOTE

    public static final Permission PROMOTE

#### RELATION

    public static final Permission RELATION

#### RELOAD

    public static final Permission RELOAD

#### SAVE

    public static final Permission SAVE

#### SPAM

    public static final Permission SPAM

#### SETDISCORD

    public static final Permission SETDISCORD

#### SETHOME

    public static final Permission SETHOME

#### SETHOME_ANY

    public static final Permission SETHOME_ANY

#### SETSTRIKES

    public static final Permission SETSTRIKES

#### SHOW

    public static final Permission SHOW

#### STATUS

    public static final Permission STATUS

#### STEALTH

    public static final Permission STEALTH

#### STUCK

    public static final Permission STUCK

#### TAG

    public static final Permission TAG

#### TNT

    public static final Permission TNT

#### TITLE

    public static final Permission TITLE

#### TITLE_COLOR

    public static final Permission TITLE_COLOR

#### TOGGLE_ALLIANCE_CHAT

    public static final Permission TOGGLE_ALLIANCE_CHAT

#### UNCLAIM

    public static final Permission UNCLAIM

#### UNCLAIM_ALL

    public static final Permission UNCLAIM_ALL

#### VERSION

    public static final Permission VERSION

#### SCOREBOARD

    public static final Permission SCOREBOARD

#### SEECHUNK

    public static final Permission SEECHUNK

#### SETWARP

    public static final Permission SETWARP

#### SHOP

    public static final Permission SHOP

#### TOP

    public static final Permission TOP

#### VIEWCHEST

    public static final Permission VIEWCHEST

#### ADDPOINTS

    public static final Permission ADDPOINTS

#### REMOVEPOINTS

    public static final Permission REMOVEPOINTS

#### SETPOINTS

    public static final Permission SETPOINTS

#### VAULT

    public static final Permission VAULT

#### GETVAULT

    public static final Permission GETVAULT

#### SETMAXVAULTS

    public static final Permission SETMAXVAULTS

#### RULES

    public static final Permission RULES

#### CHECKPOINT

    public static final Permission CHECKPOINT

#### UPGRADES

    public static final Permission UPGRADES

#### BANNER

    public static final Permission BANNER

#### TPBANNER

    public static final Permission TPBANNER

#### KILLHOLOS

    public static final Permission KILLHOLOS

#### INSPECT

    public static final Permission INSPECT

#### TNTFILL

    public static final Permission TNTFILL

#### COORD

    public static final Permission COORD

#### SHOWCLAIMS

    public static final Permission SHOWCLAIMS

#### WARP

    public static final Permission WARP

#### CHEST

    public static final Permission CHEST

### Field Detail

#### node

    public final java.lang.String node

### Method Detail

#### values

    public static Permission[] values()

Returns an array containing the constants of this enum type, in the order they are declared.

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static Permission valueOf​(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null

#### has

    public boolean has​(org.bukkit.command.CommandSender sender,
                       boolean informSenderIfNot)

#### has

    public boolean has​(org.bukkit.command.CommandSender sender)